# GenerateBuildDashboard

API Documentation: | `GenerateBuildDashboard`

Generates build dashboard report.

### Properties

Property | Description
`reports` | The reports to be generated by this task.

### Methods

Method | Description
`aggregate(reportings)` | Configures which reports are to be aggregated in the build dashboard report generated by this task.
`reports(configureAction)` | Configures the reports to be generated by this task. The contained reports can be configured by name and closures.

### Script blocks

Block | Description
`reports` | Configures the reports to be generated by this task. The contained reports can be configured by name and closures.

### Property details

#### `BuildDashboardReports` `reports` (read-only)

The reports to be generated by this task.

### Method details

#### `void` `aggregate`(``Reporting`<? extends `ReportContainer`<?>>...` reportings)

Configures which reports are to be aggregated in the build dashboard report generated by this task.

    buildDashboard {
      aggregate codenarcMain, checkstyleMain
    }

#### `BuildDashboardReports` `reports`(``Action`<? super `BuildDashboardReports`>` configureAction)

Configures the reports to be generated by this task. The contained reports can be configured by name and closures.

    buildDashboard {
      reports {
        html {
          destination "build/dashboard.html"
        }
      }
    }

### Script block details

#### `reports` { }

Configures the reports to be generated by this task. The contained reports can be configured by name and closures.

    buildDashboard {
      reports {
        html {
          destination "build/dashboard.html"
        }
      }
    }

Delegates to:
  `BuildDashboardReports` from `reports`